<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg"
    android:clickable="true"
    android:orientation="vertical">

    <TextView
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/red"
        android:gravity="center"
        android:text="零散务工人员工会"
        android:textColor="@color/white"
        android:textSize="@dimen/textSize_18" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nestedscrollview"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:overScrollMode="never"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:descendantFocusability="blocksDescendants"
            android:orientation="vertical">

            <cn.bingoogolapple.bgabanner.BGABanner
                android:id="@+id/bga_banner"
                style="@style/BannerDefaultStyle"
                android:layout_height="210dp"
                android:layout_centerInParent="true"
                app:banner_placeholderDrawable="@mipmap/bg_placeholder"
                app:banner_transitionEffect="depth" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical"
                android:padding="10dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/function01"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="53dp"
                            android:layout_height="53dp"
                            android:src="@mipmap/home01" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/vertical_margin"
                            android:text="思想阵地"
                            android:textColor="@color/text_black_333"
                            android:textSize="@dimen/textSize_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/function02"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="53dp"
                            android:layout_height="53dp"
                            android:src="@mipmap/home02" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/vertical_margin"
                            android:text="会员入会"
                            android:textColor="@color/text_black_333"
                            android:textSize="@dimen/textSize_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/function03"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="53dp"
                            android:layout_height="53dp"
                            android:src="@mipmap/home03" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/vertical_margin"
                            android:text="会费缴纳"
                            android:textColor="@color/text_black_333"
                            android:textSize="@dimen/textSize_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/function04"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="53dp"
                            android:layout_height="53dp"
                            android:src="@mipmap/home04" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/vertical_margin"
                            android:text="关爱救助"
                            android:textColor="@color/text_black_333"
                            android:textSize="@dimen/textSize_14" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal">


                    <LinearLayout
                        android:id="@+id/function05"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical"
                        android:visibility="visible">

                        <ImageView
                            android:layout_width="53dp"
                            android:layout_height="53dp"
                            android:src="@mipmap/home05" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/vertical_margin"
                            android:text="技能培训"
                            android:textColor="@color/text_black_333"
                            android:textSize="@dimen/textSize_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/function06"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical"
                        android:visibility="visible">

                        <ImageView
                            android:layout_width="53dp"
                            android:layout_height="53dp"
                            android:src="@mipmap/home06" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/vertical_margin"
                            android:text="文体活动"
                            android:textColor="@color/text_black_333"
                            android:textSize="@dimen/textSize_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/function07"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical"
                        android:visibility="visible">

                        <ImageView
                            android:layout_width="53dp"
                            android:layout_height="53dp"
                            android:src="@mipmap/home07" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/vertical_margin"
                            android:text="政策咨询"
                            android:textColor="@color/text_black_333"
                            android:textSize="@dimen/textSize_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/function08"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="53dp"
                            android:layout_height="53dp"
                            android:src="@mipmap/home08" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/vertical_margin"
                            android:text="法律援助"
                            android:textColor="@color/text_black_333"
                            android:textSize="@dimen/textSize_14" />
                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:overScrollMode="never"
                android:scrollbars="none" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>